Subject: bug#75828: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c

From: Ship Mints <[email-masked]>
Date: Mon, 27 Jan 2025 13:42:54 -0500

Martin, would you prefer to prepare the patch with NEWS and docstring
changes or would you like me to do it?

On Mon, Jan 27, 2025 at 1:30 PM Stefan Kangas <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > I'm not sure we should reveal those details here.  Hidden buffers are
> > handled specially in many places in Emacs, and I don't think we spell
> > that out in every doc string.
> >
> > Stefan, WDYT?
>
> On first approximation, I'd tend to agree with you, but I think Martin
> made a good point later in this discussion, when he said the following.
>
> martin rudalics <[email-masked]> writes:
>
> > I think a new automatically buffer-local variable, say
> > 'display-via-make-frame', would not harm anyone.
>
> So I think we could install Martin's proposed patch, with NEWS and doc
> changes of course.
>